using System;

namespace Zadatak_01_Sudar_Brojeva
{
    class Program
    {
        static void Main(string[] args)
        {
            int a, b, c;
            a = int.Parse(Console.ReadLine());
            b = int.Parse(Console.ReadLine());
            if (a > b)
            {
                c = TreciBroj(a, b);
            }
            else
            {
                c = TreciBroj(b, a);
            }
            Console.WriteLine(c);
        }

        static int TreciBroj(int a, int b)
        {
            int c=0, i=1;
            while(a!=0 && b != 0)
            {
                if (a % 10 > b % 10)
                {
                    c = c + ((a % 10) * i);
                }
                else if(a % 10 < b % 10)
                {
                    c = c + ((b % 10) * i);
                }
                else
                {
                    c = c + ((a % 10) * i * 11);
                    i = i * 10;
                }
                a = a / 10;
                b = b / 10;
                i = i * 10;
            }
            c = c + (a * i);
            
            
            return c;
        }
    }
}